{ 
  -= Module BOARD =-

  Project: CaraaraC 2
  Programmed by: Marcelo Silveira
  E-mail: flamar98@hotmail.com
  Date: November 2018
  License: GNU-GPL, v. 3.x

  Constantes e variáveis
  board_mark - Personagens marcados pelo jogador e pelo computador.
  menu_asked - Perguntas já feitas por ambos jogadores.

  Procedures e Functions
  _clear_board - Limpa as marcações dos jogadores.
  get_menu_asked_next - Procura o próximo item do menu gráfico livre.
  get_menu_asked_prev - Procura o anterior item do menu gráfico livre.
  board_reset - Reinicia o módulo.
  board_init - Tarefas necessárias na inicialização desse módulo.

  Ids:
  1- Jogador (player)
  2- CPU
}

var board_mark : array[1..24,1..2] of boolean;
    pers_chosen : array[1..2] of byte;
    menu_asked : array[1..28,1..2] of boolean;

{ Private }

procedure _clear_board;
var i, p : byte;
begin
  for i:=1 to 24 do
  begin
    for p:=1 to 2 do
      board_mark[i,p] := false;
  end;
end;

procedure _clear_menu_asked;
var i, p : byte;
begin
  for i:=1 to 28 do
  begin
    for p:=1 to 2 do
      menu_asked[i,p] := false;
  end;
end;


{ Public }

function get_menu_asked_next(i, p : byte) : byte;
var max : byte;
begin
  max:=28;
  if (p=2) then max:=26;

  repeat
    i := i+1;
    if (i>28) then i:=1;
  until (menu_asked[i,p] = false);

  get_menu_asked_next := i;
end;

function get_menu_asked_prev(i, p : byte) : byte;
begin
  repeat
    i := i-1;
    if (i<1) then i:=28;
  until (menu_asked[i,p] = false);

  get_menu_asked_prev := i;
end;

procedure board_reset;
begin
  _clear_board;
  _clear_menu_asked;
end;

procedure board_init;
begin
  board_reset;
end;
