{ 
  -= Module MAIN =-

  Project: CaraaraC 2
  Programmed by: Marcelo Silveira
  E-mail: flamar98@hotmail.com
  Date: November 2018
  License: GNU-GPL, v. 3.x
}

{$i Msxdskio.inc}
{$i msx.inc}
{$i line.inc}
{$i pal.inc}

{$i datapers.pas}
{$i datascr.pas}
{$i board.pas}
{$i pergunta.pas}
{$i screen.pas}
{$i player.pas}
{$i cpu.pas}
{$i game.pas}
{$i info.pas}
{$i menubar.pas}
{$i abertura.pas}

procedure create_menu;
begin
  menubar_set_title('   CaraaraC 2  ');

  menubar_add('Play');
  menubar_add('Instructions');
  menubar_add('MSX-DOS');

  menubar_set_colors(6, 1, 14, 0);
end;

procedure start_menu;
var opt : byte;
begin
  create_menu;
  opt := 0;

  while (opt <> 3) do
  begin
    menubar_start;
    opt := menubar_get_option;
    if (opt = 1) then game_start;
    if (opt = 2) then info_show;
  end;
end;

procedure init_all;
begin
  screen_init;
  board_init;
  player_init;
  menubar_init;
end;

begin
  abertura_start;
  Screen(7);
  init_all;
  cls2;
  start_menu;

  inipalette;
  Color(15,0,0);
  Screen(0);
  writeln('MarMSX 2018');
end.
